#include "define.h"

void bmp_read(char *filename, bmp *b)
{
	FILE *input = fopen(filename, "rb");
	if(input == NULL)
	{
		return;
	}
	fread(&b->header.type, 2, 1, input);
	fread(&b->header.size, 4, 1, input);
	fread(&b->header.reserved1, 2, 1, input);
	fread(&b->header.reserved2, 2, 1, input);
	fread(&b->header.offset, 4, 1, input);
	
	fread(&b->info.size, 4, 1, input);
	fread(&b->info.width, 4, 1, input);
	fread(&b->info.height, 4, 1, input);
	fread(&b->info.planes, 2, 1, input);
	fread(&b->info.bits, 2, 1, input);
	fread(&b->info.compression, 4, 1, input);
	fread(&b->info.imagesize, 4, 1, input);
	fread(&b->info.xresolution, 4, 1, input);
	fread(&b->info.yresolution, 4, 1, input);
	fread(&b->info.ncolours, 4, 1, input);
	fread(&b->info.importantcolours, 4, 1, input);

	b->info.imagesize	= b->info.width * b->info.height * 3;
	b->data				= new unsigned char [b->info.imagesize];
	fread(b->data, b->info.imagesize, 1, input);

	fclose(input);
}
