#include "define.h"

config *load_config(char *filename)
{
	config *conf = new config;
	FILE   *input = fopen(filename, "r");
	int		i;
	float	temp;

	if(input == NULL)
	{
		printf("Input config error\n");
		exit(1);
	}

	fscanf(input, "%d\n", &conf->frame_number);

	conf->shutter	= new double[conf->frame_number];
	conf->lnt		= new double[conf->frame_number];
	conf->image_name = new char *[conf->frame_number];
	
	for(i = 0; i < conf->frame_number; i++)
	{
		conf->image_name[i] = new char [256];
		fscanf(input, "%s ", conf->image_name[i]);
		fscanf(input, "%f\n", &temp);
		conf->shutter[i]	= temp;
		conf->lnt[i]		= logf(temp);
	}

	return conf;
}